Bug 31052 - X11 gnomecc fails to follow screensaver section concerning power management.
X11 gnomecc fails to follow screensaver section concerning power management.
Product: Red Hat Linux
Classification: Retired
Component: control-center (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-07 23:45 EST by D. Stimits
Modified: 2013-04-02 00:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-08 10:02:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description D. Stimits 2001-03-07 23:45:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.15-config.2 i686)

If power saving is enabled with /etc/X11/XF86Config-4, section "Monitor",
Option "DPMS", it is impossible to turn off power management from gnomecc.
It appears that "Use power management" is summarily ignored; times for how
long after screen saver is invoked before power management kicks in usually
fails to engage, though it seems it can sometimes be altered. Setting a
timeout of 9999 minutes is ignored. To disable power down of the monitor,
DPMS must be completely removed from XF86Config-4.

Prior bugs listed in earlier RH 7 indicate approximately the opposite
problem, failing to power down. It now is impossible to not power
down via gnomecc settings.

Reproducible: Always
Steps to Reproduce:
1. In gnome/X11, right click on desktop.
2. Choose "Configure Background Image"
3. Click on "Screensaver"
4. Activation or deactivation of check box "User power management" is
5. Altering "Shutdown monitor" times is sporadic on whether it succeeds or
6. The above applies even if root and all users try to disable power
management through gnomecc.

Actual Results:  The monitor will use power management and shutdown whether
it is turned on or not
from these settings. Timing for shutdown of monitor is usually far earlier
than long
settings, and appears to be ignored most of the time. Twice since the
release of
7.1 beta the powerdown has resulted in an inability to bring the monitor
back, as
well as blocking of all remote login; the solution is to fsck after
shutting off the machine.

Expected Results:  If "Use power management" is off, then monitor powerdown
should not occur.

Test machine is SMP. Crashes are rare, but do result in a machine that can
be pinged,
but not logged in to. Going into power down of the monitor has a minor risk
requiring reboot and lost data. While it is possible the crashes are part
of SMP and
interaction with DPMS, this bug prevents DPMS from being configured except
direct editing of XF86Config-4.
Comment 1 Jonathan Blandford 2001-08-10 18:01:50 EDT
This is fixed, I believe, in rawhide.  However, if the next version does not
work for you please reopen it.

Note You need to log in before you can comment on or make changes to this bug.